﻿using System;
using System.Collections.Generic;
using System.Text;

namespace physx
{
    public static class Collision
    {
        public static bool RectCollision(int x1, int y1, int w1, int h1, int x2, int y2, int w2, int h2)
        {
            if (IsIn(x2, y2, x1, y1, w1, h1))
                return true;

            if (IsIn(x2 + w2, y2, x1, y1, w1, h1))
                return true;

            if (IsIn(x2, y2 + h2, x1, y1, w1, h1))
                return true;

            if (IsIn(x2 + w2, y2 + h2, x1, y1, w1, h1))
                return true;

            return false;
        }

        public static bool IsIn(int po1, int po2, int x, int y, int w, int h)
        {
            if (po1 > x && po1 < x + w && po2 > y && po2 < y + h)            
                return true;

            return false;
        }
    }
}
